delete from report_sql where computer={?Computer};

--NUM1  = SFVP
--NUM2  = IDPOG
--DATE1 = dan izpisa (trunc(nrc.Spr))
--DATE2 = as prejema naroila (nrc.Spr)
--STR1  = papir (sfvp.Krt)
--STR2  = pogodba (pog.nzv)
--STR3  = ime in priimek osebe
--STR4  = as prejema naroila z milisekundami
--NUM3  = zaloga papirja na dan prejema naroila
--STR5  = as prejema prejnjega naroila za isti VP
--NUM4  = vrednost naroila
--NUM5  = suma poslov na dan prejema naroila
--NUM6  = vrednost poslov na borzi na dan prejema naroila (iz teajnice)
--NUM7  = zadnji teaj  na borzi na dan prejema naroila (iz teajnice)

INSERT INTO report_sql (COMPUTER, NUM1, NUM2, DATE1, DATE2, STR1, STR2, STR3, STR4, NUM3, STR5, NUM4, NUM5, NUM6, NUM7)
SELECT {?Computer}, sfvp.SfVP, pog.IdPog, trunc(nrc.Spr), nrc.Spr, sfvp.KRT, pog.Nzv, trim(osbbrk.Ime || ' ' || osbbrk.Nzv),
       CASE WHEN nrc.Spr IS NOT NULL
            THEN to_char(nrc.Spr,'dd.mm.yyyy hh24:mi:ss') 
-- || '.' || trim(to_char(nvl(nrc.SprMillis,0),'000'))
       END AS CAS_PRJ,
       (SELECT SUM(dog.Vp) FROM dog WHERE dog.IdObd=2 AND dog.IdPog=nrc.IdPog and dog.SfVP=nrc.SfVp and dog.Dan <= {?Dan}) AS zaloga,
       (SELECT to_char(MAX(nrcprej.Spr),'dd.mm.yyyy hh24:mi:ss') FROM nrc nrcprej WHERE nrcprej.IdPog=nrc.IdPog AND nrcprej.SfvP=nrc.Sfvp and nrcprej.Spr < nrc.Spr AND nrcprej.IdNrc <> nrc.IdNrc) AS nrc_pred,
       CASE WHEN sfvp.SfGlvEnt = '%' THEN 
                 (nrc.Lot * CASE WHEN nrc.GlvTcj IS NULL THEN nvl(ibi_utils.GetTcn(nrc.SfVp, {?Dan}),0) ELSE nrc.GlvTcj END
                         /100*(SELECT glv FROM kpn WHERE SfVp=nrc.SfVp AND 
                          SfKpn=(SELECT max(SfKpn) FROM kpn WHERE SfVp=nrc.SfVp and PrvDanTrg <= {?Dan})) + 
                 nrc.Lot * nvl((SELECT AccruedInterestValue FROM fixbondvalue WHERE IsinCode = sfvp.Isin AND StatusDate = {?Dan}),0))  
                 / CASE WHEN sfvp.SfVltNmn='E' THEN 1 ELSE nvl(ibi_utils.GetTcjVlt(sfvp.SfVltNmn, {?Dan}),0) END
            ELSE nrc.Lot * CASE WHEN nrc.GlvTcj IS NULL THEN nvl(ibi_utils.GetTcn(nrc.SfVp, {?Dan}),0) ELSE nrc.GlvTcj END
                 / CASE WHEN sfvp.SfVltNmn='E' THEN 1 ELSE nvl(ibi_utils.GetTcjVlt(sfvp.SfVltNmn, {?Dan}),0) END
       END vrdnrc,
       nvl((SELECT sum(psl.Lot*(psl.GlvVlt + psl.ObrVlt + psl.RevVlt)) FROM psl WHERE psl.IdNrc=nrc.IdNrc AND psl.Dan= {?Dan}),0)
                 / CASE WHEN sfvp.SfVltNmn='E' THEN 1 ELSE nvl(ibi_utils.GetTcjVlt(sfvp.SfVltNmn, {?Dan}),0) END posli,
--       nvl((SELECT max(tcn.Pmt1000) * 1000 FROM tcn WHERE tcn.SfVp=nrc.SfVp AND tcn.Dan = {?Dan}),0) prom,
--       nvl((SELECT max(tcn.Zdn) FROM tcn WHERE tcn.SfVp=nrc.SfVp AND tcn.Dan = {?Dan}),0) zaklj
       nvl((SELECT max(tecaj.Promet) FROM tecaj WHERE tecaj.Isin=sfvp.Isin AND tecaj.Dan = {?Dan}),0) prom,
       nvl((SELECT max(tecaj.Zadnji) FROM tecaj WHERE tecaj.Isin=sfvp.Isin AND tecaj.Dan = {?Dan}),0) zaklj
FROM nrc
JOIN pog ON nrc.IdPog=pog.IDPog
JOIN sfvp ON nrc.SfVp=sfvp.SfVp
LEFT OUTER JOIN brk ON nrc.SfBrk=brk.SfBrk
LEFT OUTER JOIN osb osbbrk ON brk.SfOsb=osbbrk.SfOsb
WHERE trunc(nrc.Spr) = {?Dan}
AND nrc.SfTrg IN (8, 163)
--AND pog. SfDjv='N'
;